#include <iostream>
#define MAX 200000
#include<algorithm>

using namespace std;

int main()
{
    int broj,scenario, iza, ispred, jednako ;                                  //broj glasova   q                   a niz glasova           b zamisnljeni broj    n duzina
    int niz[MAX], zamisljenibroj[MAX];
    cin>>broj>>scenario;
    for(int i=0; i<broj; i++)
        cin >> niz[i];

    for(int i=0; i<scenario; i++)
        cin >>  zamisljenibroj[i];


    sort(niz, niz + broj);

    for(int i=0; i<scenario; i++)
    {
        int pg;
        pg=0;
        iza=0;
        ispred=0;
        jednako=0;
        int i2=i;
        if ((broj%2==0 && (niz[broj/2-1]+niz[broj/2])/2==  zamisljenibroj[i2]) || niz[broj/2] ==  zamisljenibroj[i2])
        {
            cout<<pg<<endl;
        }
        else
        {
        for (int i=0; i<broj; i++ )
        {
            if (niz[i]< zamisljenibroj[i2])
            {
                iza++;
            }
            else if (niz[i]== zamisljenibroj[i2])
            {
                iza++;
                jednako++;
            }
            else
            break;
        }
         ispred=broj-iza;

        if (ispred==iza)
        {
           pg=1;
           cout<<pg<<endl;
        }
        else if (ispred>iza)
        {
            pg=(ispred-iza)+1;
            cout<<pg<<endl;
        }
        else
        {
            float meh =(niz[iza-1-jednako]+  zamisljenibroj[i2])/2.0;
            if((meh+0.5)== zamisljenibroj[i2])
            {
                pg=iza-ispred-jednako;
                cout<<pg;
            }
            else{
                pg=iza-ispred+1-jednako;
                cout<<pg<<endl;
            }
        }
        }
    }
    return 0;
}